from django_unicorn.components import UnicornView

from BasicData.models import Annee, ParcoursSemestreUe


class VoirNotesView(UnicornView):
    psId = None
    parcoursSemestres = None
    parcoursSemestreUes = ParcoursSemestreUe.objects.none()

    def mount(self):
        self.parcoursSemestreUes = ParcoursSemestreUe.objects.filter(
            etudiantUes__etudiant=self.request.user, annee=Annee.objects.last()
            )
        self.parcoursSemestres = self.parcoursSemestreUes.values_list('parcoursSemestre__id', 'parcoursSemestre__parcours__libelle', 'parcoursSemestre__semestre__libelle').distinct()